VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::ovf::DiskProvisioningType Class Reference

The `DiskProvisioningType` enumerated type defines the virtual disk provisioning types that can be set for a disk on the target platform. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, thin, thick, eagerZeroedThick }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static DiskProvisioningType[] | GetValues ()
static DiskProvisioningType | ValueOf (string name)
## Static Public Attributes
static readonly DiskProvisioningType | thin = new DiskProvisioningType("thin", Values.thin)
| A thin provisioned virtual disk has space allocated and zeroed on demand as the space is used.
static readonly DiskProvisioningType | thick = new DiskProvisioningType("thick", Values.thick)
| A thick provisioned virtual disk has all space allocated at creation time and the space is zeroed on demand as the space is used.
static readonly DiskProvisioningType | eagerZeroedThick = new DiskProvisioningType("eagerZeroedThick", Values.eagerZeroedThick)
| An eager zeroed thick provisioned virtual disk has all space allocated and wiped clean of any previous contents on the physical media at creation time.

## Detailed Description

The `DiskProvisioningType` enumerated type defines the virtual disk provisioning types that can be set for a disk on the target platform.

## Member Enumeration Documentation

enum vmware::vcenter::ovf::DiskProvisioningType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  thin | A thin provisioned virtual disk has space allocated and zeroed on demand as the space is used.
  thick | A thick provisioned virtual disk has all space allocated at creation time and the space is zeroed on demand as the space is used.
  eagerZeroedThick | An eager zeroed thick provisioned virtual disk has all space allocated and wiped clean of any previous contents on the physical media at creation time. Disks specified as eager zeroed thick may take longer time to create than disks specified with the other disk provisioning types.

## Member Function Documentation

Values vmware::vcenter::ovf::DiskProvisioningType::GetEnumValue | ( |  | ) | `[inline]`

static DiskProvisioningType [] vmware::vcenter::ovf::DiskProvisioningType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::ovf::DiskProvisioningType::IsUnknown | ( |  | ) | `[inline]`

static DiskProvisioningType vmware::vcenter::ovf::DiskProvisioningType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly DiskProvisioningType vmware::vcenter::ovf::DiskProvisioningType::eagerZeroedThick = new DiskProvisioningType("eagerZeroedThick", Values.eagerZeroedThick)`[static]`

An eager zeroed thick provisioned virtual disk has all space allocated and wiped clean of any previous contents on the physical media at creation time.

Disks specified as eager zeroed thick may take longer time to create than disks specified with the other disk provisioning types.

readonly DiskProvisioningType vmware::vcenter::ovf::DiskProvisioningType::thick = new DiskProvisioningType("thick", Values.thick)`[static]`

A thick provisioned virtual disk has all space allocated at creation time and the space is zeroed on demand as the space is used.

readonly DiskProvisioningType vmware::vcenter::ovf::DiskProvisioningType::thin = new DiskProvisioningType("thin", Values.thin)`[static]`

A thin provisioned virtual disk has space allocated and zeroed on demand as the space is used.

The documentation for this class was generated from the following file:

- DiskProvisioningType.cs